Skip to main content
GET
/
v4
/
accounts
/
{accountId}
/
drafts
/
{draftId}
/
insights
Get content insights
curl --request GET \
  --url 'https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig='
import requests

url = "https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.conductor.com/v4/accounts/{accountId}/drafts/{draftId}/insights?apiKey=&sig=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": {
    "insights": [
      {
        "insightPresent": true,
        "empty": true,
        "details": {
          "keywords": {
            "items": [
              {
                "keyword": "<string>",
                "numOfOccurrence": 123,
                "avgFrequency": 123,
                "topPageFrequency": 123,
                "ownFrequency": 123,
                "presets": [],
                "otherKeywords": [
                  "<string>"
                ]
              }
            ],
            "maxOccurrence": 123,
            "presets": [
              "<string>"
            ]
          },
          "serp": {
            "items": [
              {
                "pageMeta": {
                  "rank": 123,
                  "url": "<string>",
                  "favicon": "<string>",
                  "title": "<string>",
                  "collected": true
                },
                "keywords": [
                  {
                    "keyword": "<string>",
                    "frequency": 123,
                    "otherKeywords": [
                      "<string>"
                    ]
                  }
                ]
              }
            ]
          }
        },
        "errorCode": "<string>",
        "errorMessage": "<string>",
        "summary": {
          "note": "<string>",
          "text": "<string>"
        }
      }
    ],
    "snippets": [
      {
        "details": {
          "rootKeyword": "<string>",
          "topicSearchVolume": 123,
          "topicPhrase": "<string>"
        },
        "phraseDetails": [
          {
            "rootKeyword": "<string>",
            "topicSearchVolume": 123,
            "topicPhrase": "<string>"
          }
        ],
        "creationTime": 123,
        "errorCode": "<string>",
        "errorMessage": "<string>",
        "errorPhrases": [
          "<string>"
        ]
      }
    ],
    "contentProfile": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "accountId": 123,
      "name": "<string>",
      "description": "<string>",
      "voiceTone": "<string>",
      "audience": "<string>",
      "createdBy": 123,
      "created": "2023-11-07T05:31:56Z",
      "updatedBy": 123,
      "updated": "2023-11-07T05:31:56Z",
      "draftCount": 123,
      "languageRules": [
        {
          "term": "<string>",
          "type": "EXCLUDE",
          "extraTerm": "<string>"
        }
      ]
    },
    "referenceDocuments": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "fileName": "<string>",
        "text": "<string>",
        "createdBy": {
          "id": 123
        },
        "created": 123,
        "account": {
          "id": 123
        }
      }
    ]
  },
  "startTime": 123
}
{
  "code": "<string>",
  "message": "<string>"
}
{
  "timestamp": "2023-11-07T05:31:56Z",
  "status": 123,
  "error": "<string>",
  "message": "<string>",
  "path": "<string>"
}
{
  "timestamp": "2023-11-07T05:31:56Z",
  "status": 123,
  "error": "<string>",
  "message": "<string>",
  "path": "<string>"
}

Authorizations

apiKey
string
query
required

API Key as a query parameter

sig
string
query
required

Request signature computed using API key and secret. Valid for 5 minutes after creation.

Path Parameters

accountId
integer
required

Account identifier

draftId
string<uuid>
required

Draft identifier

Query Parameters

insights
enum<string>[]

Specific insight types to retrieve

Available options:
PAA_INSIGHT,
BODY_CONTENT_COMMON,
CONTENT_ANALYSIS_INSIGHT,
HTML_HEADING1_COMMON,
HTML_HEADING2_COMMON,
HTML_HEADING3_COMMON,
HTML_META_DESCRIPTION_COMMON,
HTML_TITLE_COMMON,
CONTENT_LENGTH_INSIGHT,
READABILITY_INSIGHT,
OBJECTIVE_INSIGHT,
AUDIENCE_INSIGHT,
JOURNEY_STAGE_INSIGHT,
CONTENT_TYPE_INSIGHT,
SUBTOPIC_INSIGHT,
OPPORTUNITIES_SNIPPET,
MSV_SNIPPET

Response

Insights status and data

status
enum<string>
required

Collection/processing state for the response, an insight, a snippet, or a page.

Available options:
PROCESSING,
COMPLETED,
COMPLETED_WITH_ERROR,
FAILED,
TIMEOUTED
insightsStatus
enum<string>
required

Collection/processing state for the response, an insight, a snippet, or a page.

Available options:
PROCESSING,
COMPLETED,
COMPLETED_WITH_ERROR,
FAILED,
TIMEOUTED
snippetsStatus
enum<string>
required

Collection/processing state for the response, an insight, a snippet, or a page.

Available options:
PROCESSING,
COMPLETED,
COMPLETED_WITH_ERROR,
FAILED,
TIMEOUTED
results
object | null
required

Null while status is PROCESSING; populated once generation completes.

startTime
integer<int64>

Epoch milliseconds when generation started.